using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace PSTW_CentralSystem.Areas.IT.Models
{
    [Table("it_request_emails")]
    public class ItRequestEmail
    {
        [Key]
        public int Id { get; set; }

        public int ItRequestId { get; set; }
        [ForeignKey("ItRequestId")]
        public ItRequest? Request { get; set; }

        [MaxLength(50)]
        public string? Purpose { get; set; }   // New / Replacement / Additional

        [MaxLength(200)]
        public string? ProposedAddress { get; set; }

        public string? Notes { get; set; }
    }
}
